import res.input.KeyboardEvent;
import res.text.Textmap;
import res.Scene;

class GameOver extends Scene {
	var text:Textmap;

	override function init() {
		text = res.createTextmap(res.rom.fonts['russian']);

		text.textCentered(20, 'Игре конец!');
		text.textCentered(22, 'Планета уничтожена.');
		text.textCentered(24, 'Это провал.');

		text.textCentered(35, 'Нажмите любую клавишу');

		add(text);
	}

	override function keyboardEvent(event:KeyboardEvent) {
		switch event {
			case KEY_DOWN(_):
				res.setScene(MainMenu);
			case _:
		}
	}
}
